#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -fno-aggressive-loop-optimizations

include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_build:
	dh_auto_build -- all doc-man

override_dh_auto_clean:
	dh_auto_clean
	rm -f version.h

override_dh_auto_install:
	dh_auto_install
	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass

override_dh_auto_test:
	dh_auto_test --buildsystem=makefile --builddirectory=.
